Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.parsers
Class XML11Configuration

    java.lang.Object
      weblogic.apache.xerces.util.ParserConfigurationSettings
          weblogic.apache.xerces.parsers.BasicParserConfiguration
              weblogic.apache.xerces.parsers.DTDConfiguration
                  weblogic.apache.xerces.parsers.StandardParserConfiguration
                      weblogic.apache.xerces.parsers.XML11Configuration

All Implemented Interfaces:
  XMLComponentManager, XMLParserConfiguration, XMLPullParserConfiguration

Deprecated. please use JDK supplied XML parsers and transformers

    public class XML11Configuration

extends StandardParserConfiguration

This class is the configuration used to parse XML 1.1 documents. It extends the StandardParserConfiguration by making use of classes which extend the basic scanner and entity management implementations.

Field Summary

Fields inherited from class weblogic.apache.xerces.parsers.StandardParserConfiguration
`fSchemaValidator, NORMALIZE_DATA, SCHEMA_ELEMENT_DEFAULT, SCHEMA_VALIDATOR`

Fields inherited from class weblogic.apache.xerces.parsers.DTDConfiguration
`ALLOW_JAVA_ENCODINGS, CONTINUE_AFTER_FATAL_ERROR, DATATYPE_VALIDATOR_FACTORY, DOCUMENT_SCANNER, DTD_PROCESSOR, DTD_SCANNER, DTD_VALIDATOR, ENTITY_MANAGER, ERROR_REPORTER, fDatatypeValidatorFactory, fDTDProcessor, fDTDScanner, fDTDValidator, fEntityManager, fErrorReporter, fGrammarPool, fInputSource, fLocator, fNamespaceBinder, fParseInProgress, fScanner, fValidationManager, LOAD_EXTERNAL_DTD, NAMESPACE_BINDER, NOTIFY_BUILTIN_REFS, NOTIFY_CHAR_REFS, VALIDATION_MANAGER, WARN_ON_DUPLICATE_ATTDEF, WARN_ON_DUPLICATE_ENTITYDEF, WARN_ON_UNDECLARED_ELEMDEF, XMLGRAMMAR_POOL`

Fields inherited from class weblogic.apache.xerces.parsers.BasicParserConfiguration
`ENTITY_RESOLVER, ERROR_HANDLER, EXTERNAL_GENERAL_ENTITIES, EXTERNAL_PARAMETER_ENTITIES, fComponents, fDocumentHandler, fDTDContentModelHandler, fDTDHandler, fLastComponent, fLocale, fSymbolTable, NAMESPACES, SYMBOL_TABLE, VALIDATION, XML_STRING`

Fields inherited from class weblogic.apache.xerces.util.ParserConfigurationSettings
`fFeatures, fParentSettings, fProperties, fRecognizedFeatures, fRecognizedProperties`

Constructor Summary
`XML11Configuration()` Deprecated. Default constructor.
`XML11Configuration(SymbolTable symbolTable)` Deprecated. Constructs a parser configuration using the specified symbol table.
`XML11Configuration(SymbolTable symbolTable, XMLGrammarPool grammarPool)` Deprecated. Constructs a parser configuration using the specified symbol table and grammar pool.
`XML11Configuration(SymbolTable symbolTable, XMLGrammarPool grammarPool, XMLComponentManager parentSettings)` Deprecated. Constructs a parser configuration using the specified symbol table, grammar pool, and parent settings.

Method Summary
`protected XMLDocumentScanner` | `createDocumentScanner()` Deprecated. Create a document scanner.
`protected XMLDTDScanner` | `createDTDScanner()` Deprecated. Create a DTD scanner.
`protected XMLEntityManager` | `createEntityManager()` Deprecated. Creates an entity manager.

Methods inherited from class weblogic.apache.xerces.parsers.StandardParserConfiguration
`checkFeature, checkProperty, configurePipeline`

Methods inherited from class weblogic.apache.xerces.parsers.DTDConfiguration
`cleanup, createDatatypeValidatorFactory, createDTDProcessor, createDTDValidator, createErrorReporter, createNamespaceBinder, createValidationManager, parse, parse, reset, setInputSource, setLocale`

Methods inherited from class weblogic.apache.xerces.parsers.BasicParserConfiguration
`addComponent, getDocumentHandler, getDTDContentModelHandler, getDTDHandler, getEntityResolver, getErrorHandler, getLocale, setDocumentHandler, setDTDContentModelHandler, setDTDHandler, setEntityResolver, setErrorHandler, setFeature, setProperty`

Methods inherited from class weblogic.apache.xerces.util.ParserConfigurationSettings
`addRecognizedFeatures, addRecognizedProperties, getFeature, getProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface weblogic.apache.xerces.xni.parser.XMLParserConfiguration
`addRecognizedFeatures, addRecognizedProperties, getDocumentHandler, getDTDContentModelHandler, getDTDHandler, getEntityResolver, getErrorHandler, getFeature, getLocale, getProperty, setDocumentHandler, setDTDContentModelHandler, setDTDHandler, setEntityResolver, setErrorHandler, setFeature, setProperty`

Constructor Detail

### XML11Configuration

    public XML11Configuration()

  Deprecated.
  Default constructor.

### XML11Configuration

    public XML11Configuration(SymbolTable symbolTable)

  Deprecated.
  Constructs a parser configuration using the specified symbol table.

  Parameters:
    `symbolTable` - The symbol table to use.

### XML11Configuration

    public XML11Configuration(SymbolTable symbolTable,
                              XMLGrammarPool grammarPool)

  Deprecated.
  Constructs a parser configuration using the specified symbol table and grammar pool.

  REVISIT: Grammar pool will be updated when the new validation engine is implemented.

  Parameters:
    `symbolTable` - The symbol table to use.
    `grammarPool` - The grammar pool to use.

### XML11Configuration

    public XML11Configuration(SymbolTable symbolTable,
                              XMLGrammarPool grammarPool,
                              XMLComponentManager parentSettings)

  Deprecated.
  Constructs a parser configuration using the specified symbol table, grammar pool, and parent settings.

  REVISIT: Grammar pool will be updated when the new validation engine is implemented.

  Parameters:
    `symbolTable` - The symbol table to use.
    `grammarPool` - The grammar pool to use.
    `parentSettings` - The parent settings.

Method Detail

### createEntityManager

    protected XMLEntityManager createEntityManager()

  Deprecated.
  Creates an entity manager.

  Overrides:
    `createEntityManager` in class `DTDConfiguration`

### createDocumentScanner

    protected XMLDocumentScanner createDocumentScanner()

  Deprecated.
  Create a document scanner.

  Overrides:
    `createDocumentScanner` in class `DTDConfiguration`

### createDTDScanner

    protected XMLDTDScanner createDTDScanner()

  Deprecated.
  Create a DTD scanner.

  Overrides:
    `createDTDScanner` in class `DTDConfiguration`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD